%define major     2
%define libname   %mklibname lxqt-globalkeys %{major}
%define uiname    %mklibname lxqt-globalkeys-ui %{major}
%define devname   %mklibname lxqt-globalkeys -d
%define uidevname %mklibname lxqt-globalkeys-ui -d

%define rel 2

Name:         lxqt-globalkeys
Version: 2.2.0
Release:      %mkrel %rel
Summary:       Global keys config module for LXQt
License:       LGPLv2+
Group:         Graphical desktop/KDE
URL:           https://lxqt-project.org/
Source0:       https://github.com/lxqt/lxqt-globalkeys/releases/download/%{version}/%{name}-%{version}.tar.xz
# (daviddavid) add a custom globalkeyshortcuts configuration as default
Source1:       globalkeyshortcuts.conf

# Upstream patches

BuildRequires: cmake
BuildRequires: cmake(lxqt)
BuildRequires: cmake(Qt6Core)
BuildRequires: cmake(Qt6Widgets)
BuildRequires: cmake(Qt6DBus)
BuildRequires: cmake(Qt6LinguistTools)

%description
Global keys config module for LXQt.

%package -n %{libname}
Summary:       The LXQt globalkeys library
Group:         System/Libraries

%description -n %{libname}
The LXQt globalkeys library.

%package -n %{uiname}
Summary:       The LXQt globalkeys UI library
Group:         System/Libraries

%description -n %{uiname}
The LXQt globalkeys UI library.

%package -n %{devname}
Summary:       Development files for the LXQt globalkeys library
Group:         Development/C
Requires:      %libname = %version
Provides:      %name-devel = %version-%release
Provides:      lib%name-devel = %version-%release

%description -n %{devname}
Development files for the LXQt globalkeys library.

%package -n %{uidevname}
Summary:       Development files for the LXQt globalkeys UI library
Group:         Development/C
Requires:      %libname = %version
Requires:      %uiname = %version
Provides:      %uiname-devel = %version-%release
Provides:      lib%name-devel = %version-%release

%description -n %{uidevname}
Development files for the LXQt globalkeys UI library.

%prep
%autosetup -p1

%build
%cmake_qt6
%cmake_build

%install
%cmake_install

# (daviddavid) add a custom globalkeyshortcuts configuration as default
mkdir -p %{buildroot}%{_sysconfdir}/xdg/lxqt
cp %{SOURCE1} %{buildroot}%{_sysconfdir}/xdg/lxqt/globalkeyshortcuts.conf

%files
%{_bindir}/*
%{_datadir}/applications/*.desktop
%{_sysconfdir}/xdg/autostart/lxqt-globalkeyshortcuts.desktop
%{_sysconfdir}/xdg/lxqt/globalkeyshortcuts.conf
%{_datadir}/lxqt/globalkeyshortcuts.conf
%{_datadir}/lxqt/translations/lxqt-config-globalkeyshortcuts/

%files -n %{libname}
%{_libdir}/liblxqt-globalkeys.so.%{major}{,.*}

%files -n %{uiname}
%{_libdir}/liblxqt-globalkeys-ui.so.%{major}{,.*}

%files -n %{devname}
%{_libdir}/liblxqt-globalkeys.so
%{_includedir}/lxqt-globalkeys
%{_libdir}/pkgconfig/lxqt-globalkeys.pc
%{_datadir}/cmake/lxqt-globalkeys

%files -n %{uidevname}
%{_libdir}/liblxqt-globalkeys-ui.so
%{_includedir}/lxqt-globalkeys-ui
%{_libdir}/pkgconfig/lxqt-globalkeys-ui.pc
%{_datadir}/cmake/lxqt-globalkeys-ui


%changelog
* Tue Jul 08 2025 umeabot <umeabot> 2.2.0-2.mga10
+ Revision: 2252027
- Mageia 10 Mass Rebuild

* Tue Apr 22 2025 papoteur <papoteur> 2.2.0-1.mga10
+ Revision: 2178195
- new version 2.2.0

* Tue Nov 05 2024 daviddavid <daviddavid> 2.1.0-1.mga10
+ Revision: 2112537
- New version 2.1.0

* Thu Apr 18 2024 papoteur <papoteur> 2.0.0-1.mga10
+ Revision: 2058942
- new version 2.0.0
- switch to Qt6

* Mon Nov 06 2023 papoteur <papoteur> 1.4.0-1.mga10
+ Revision: 2004755
- new version 1.4.0

* Sun Apr 16 2023 papoteur <papoteur> 1.3.0-1.mga9
+ Revision: 1953179
- new version 1.3.0

* Mon Feb 06 2023 papoteur <papoteur> 1.2.0-2.mga9
+ Revision: 1938816
- rebuild for compilation with C++17 standard

* Sun Nov 06 2022 papoteur <papoteur> 1.2.0-1.mga9
+ Revision: 1904195
- new version 1.2.0

* Mon Apr 25 2022 papoteur <papoteur> 1.1.0-1.mga9
+ Revision: 1853308
- Release 1.1.0

* Tue Apr 05 2022 umeabot <umeabot> 1.0.1-2.mga9
+ Revision: 1845391
- Mageia 9 Mass Rebuild

* Mon Jan 31 2022 neoclust <neoclust> 1.0.1-1.mga9
+ Revision: 1770756
- New version 1.0.1

* Sun Dec 12 2021 neoclust <neoclust> 1.0.0-1.mga9
+ Revision: 1761784
- Add Fixes from papoteur:
- Fix lib major
- Remove old conflicts
- New version 1.0.0

* Fri Apr 16 2021 daviddavid <daviddavid> 0.17.0-1.mga9
+ Revision: 1716046
- New version 0.17.0

* Sat Dec 19 2020 daviddavid <daviddavid> 0.16.0-3.mga8
+ Revision: 1661170
- rebuild for missing pkgs

* Thu Dec 17 2020 umeabot <umeabot> 0.16.0-2.mga8
+ Revision: 1658993
- Rebuild for new Qt5

* Sat Nov 07 2020 daviddavid <daviddavid> 0.16.0-1.mga8
+ Revision: 1643309
- New version 0.16.0
- update Url

* Thu May 28 2020 daviddavid <daviddavid> 0.15.0-3.mga8
+ Revision: 1588370
- add upstream patch to changed LXImage-Qt for ScreenGrab
- add upstream patch to add shortcut to configure display

* Sun May 24 2020 daviddavid <daviddavid> 0.15.0-2.mga8
+ Revision: 1587391
- provide a more complete globalkeyshortcuts configuration file (mga#26670)
  * add keys for XF86 *volume-up/down/mute by default (mga#26144)
  * add keys for desktop switch by default
  * add keys for activate more taskbar by default
  * add keys for show/hide main menu by default
  * add keys for show/hide runner dialog by default

* Sat Apr 25 2020 daviddavid <daviddavid> 0.15.0-1.mga8
+ Revision: 1571810
- New version 0.15.0

* Wed Feb 19 2020 daviddavid <daviddavid> 0.14.3-2.mga8
+ Revision: 1543826
- add upstream patch to fix build with Qt 5.14
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Wed Jan 22 2020 daviddavid <daviddavid> 0.14.3-1.mga8
+ Revision: 1482158
- new version: 0.14.3
+ wally <wally>
- build with new cmake macros

* Sun Mar 31 2019 umeabot <umeabot> 0.14.1-2.mga7
+ Revision: 1383254
- Qt5 Rebuild

* Thu Mar 28 2019 daviddavid <daviddavid> 0.14.1-1.mga7
+ Revision: 1380831
- new version: 0.14.1

* Sun Jan 27 2019 daviddavid <daviddavid> 0.14.0-1.mga7
+ Revision: 1361325
- New version 0.14.0

* Fri Dec 28 2018 daviddavid <daviddavid> 0.13.0-3.mga7
+ Revision: 1345471
- rebuild for new Qt5 5.12.0

* Sun Sep 23 2018 umeabot <umeabot> 0.13.0-2.mga7
+ Revision: 1299406
- Mageia 7 Mass Rebuild

* Sun Jun 10 2018 daviddavid <daviddavid> 0.13.0-1.mga7
+ Revision: 1235864
- New version 0.13.0

* Tue Nov 07 2017 neoclust <neoclust> 0.12.0-2.mga7
+ Revision: 1176376
- lxqt-common does not exist anymore

* Thu Nov 02 2017 neoclust <neoclust> 0.12.0-1.mga7
+ Revision: 1175531
- New version 0.12.0
- New version 0.11.1

* Tue Nov 08 2016 neoclust <neoclust> 0.11.0-1.mga6
+ Revision: 1065960
- New version 0.11.0

* Mon Mar 28 2016 doktor5000 <doktor5000> 0.10.0-5.mga6
+ Revision: 995887
+ rebuild (emptylog)

* Mon Feb 15 2016 umeabot <umeabot> 0.10.0-4.mga6
+ Revision: 961310
- Mageia 6 Mass Rebuild

* Tue Nov 10 2015 neoclust <neoclust> 0.10.0-3.mga6
+ Revision: 900905
- Rebuild against fixed qtbase5
- Use qt5 cmake macro

* Mon Nov 09 2015 neoclust <neoclust> 0.10.0-1.mga6
+ Revision: 900137
- New version 0.10.0

* Sun Feb 22 2015 doktor5000 <doktor5000> 0.9.0-1.mga5
+ Revision: 816428
- new version 0.9.0
- drop lxqt-globalkeys-0.7.0-mga-desktopfile-el_GR.patch, merged upstream
- remove conditional handling for QT5 as QT4 is not supported anymore
- adjusted BuildRequires from pkgconfig(lxqt-qt5) to pkgconfig(lxqt)

* Wed Dec 17 2014 doktor5000 <doktor5000> 0.8.0-5.mga5
+ Revision: 803660
- rebuild for QT 5.4 breakage

* Sun Oct 26 2014 doktor5000 <doktor5000> 0.8.0-4.mga5
+ Revision: 793516
- do not remove LXQt Catgories from .desktop file
+ umeabot <umeabot>
- Second Mageia 5 Mass Rebuild

* Tue Oct 14 2014 doktor5000 <doktor5000> 0.8.0-1.mga5
+ Revision: 738656
- add missing BuildRequires on pkgconfig(Qt5Widgets)
- add missing BuildRequires on pkgconfig(Qt5DBus)
- add missing BuildRequires on pkgconfig(Qt5Help)
- correct license
- new version 0.8.0
- enabled QT5 build

* Wed Sep 17 2014 wally <wally> 0.7.0-5.mga5
+ Revision: 693140
- obsolete librazorglobalkeyshortcuts-devel
+ umeabot <umeabot>
- Mageia 5 Mass Rebuild

* Sat Sep 13 2014 wally <wally> 0.7.0-4.mga5
+ Revision: 675024
- obsolete razorqt-globalkeyshortcuts

* Fri May 23 2014 dglent <dglent> 0.7.0-3.mga5
+ Revision: 625111
- Add patch for el_GR desktop file

* Thu May 22 2014 doktor5000 <doktor5000> 0.7.0-2.mga5
+ Revision: 624962
- add Requires in lxqt-globalkeys-ui-devel on lxqt-globalkeys-ui lib

* Thu May 22 2014 doktor5000 <doktor5000> 0.7.0-1.mga5
+ Revision: 624929
- fix .desktop file
  o remove Category=LXQt for now
  o change Comment[el_GR] to not be redundant with Name[el_GR]
- remove useless Requires, use proper Requires/Provides
- use %%mkrel
- fix BuildRequires
- imported package lxqt-globalkeys


* Thu May 08 2014 Rosa <rosa@abf.rosalinux.ru> 0.7.0-1
+ Revision: d0b070c
- Automatic import for version 0.7.0-1


